SteveSteve

Reprocess a shelf capture

Starts a new analysis after a terminal outcome, using the original pinned profile version. Keeps the last successful result available.

POST/api/v1/shelf/sessions/{sessionId}/reprocess

Authorization

AuthorizationRequiredBearer <token>

Steve API key, usually scoped to a company. Legacy keys and keys created by platform administrators may be unscoped; company-scoped endpoints reject unscoped keys with 403 Forbidden. Format: Authorization: Bearer aok_...

In: header

Request Body

application/jsonRequired
bodyRequiredobject

Path Parameters

sessionIdRequiredstring

Steve session identifier.

Header Parameters

X-Request-Idstring

Optional caller-supplied request identifier. Maximum length is 128 characters.

Maximum length: 128
curl -X POST "https://api.meetsteve.io/api/v1/shelf/sessions/<string>/reprocess" \
  -H "X-Request-Id: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Reprocess a shelf capture

{
  "runId": "string"
}